> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://docs.propexo.com/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://docs.propexo.com/_mcp/server.

# Get recurring resident charge by ID

GET https://api.propexo.com/v1/recurring-resident-charges/{recurring_resident_charge_id}

Get recurring resident charge by ID

Reference: https://docs.propexo.com/api-reference/yardi-rest/billing-and-payments/get-recurring-resident-charge-by-id

## Authentication

- `Authorization` header (bearer token, required) — Bearer authentication of the form `Bearer <token>`, where token is your auth token.

## Servers

- `https://api.propexo.com` (Production, default)
- `https://api.sandbox.propexo.com` (Sandbox)

## Request

### Path parameters

- `recurring_resident_charge_id` (string, required) — The ID of the resource.

### Query parameters

- `order-by` (string, optional, default: created_at:desc) — Order the results by a field. Optionally include asc or desc preceded by a colon (default is asc). Example: ?order-by=updated_at:desc
- `updated_at_gte` (string, optional, nullable) — Filter to records updated at or after this datetime. Format: ISO 8601 (e.g. 2026-01-01T00:00:00Z)
- `updated_at_lte` (string, optional, nullable) — Filter to records updated at or before this datetime. Format: ISO 8601 (e.g. 2026-12-31T23:59:59Z)
- `last_seen_gte` (string, optional, nullable) — Filter to records whose last_seen date is on or after this datetime. Format: ISO 8601 (e.g. 2026-01-01T00:00:00Z)
- `last_seen_lte` (string, optional, nullable) — Filter to records whose last_seen date is on or before this datetime. Format: ISO 8601 (e.g. 2026-12-31T23:59:59Z)
- `offset` (integer, optional, nullable, default: 0) — Can be used for paginating results
- `limit` (integer, optional, nullable, default: 100) — A number between 1 and 250 to determine the number of results to return in a single query

## Response

### 200

Successful response

- `meta` (ResponseMeta, required)
- `results` (RecurringResidentCharge, required)

## Errors

### 400 Bad Request Error

Bad Request

- `error` (ErrorResponseError, required)

## Types

### ResponseMeta

- `orderBy` (list of ResponseMetaOrderByItems, required) — The order of the results
- `offset` (integer, optional) — The offset of the first result
- `limit` (integer, optional) — The number of results to return
- `hasMore` (boolean, optional, nullable) — Whether there are more results
- `total` (integer, optional) — The total number of results

### RecurringResidentCharge

- `id` (string, required) — The Propexo unique identifier for the recurring resident charge
- `created_at` (string, required) — The date record first entered Propexo
- `updated_at` (string, required) — The date record was last updated in Propexo
- `last_seen` (string, required, nullable) — The date the record was last seen from the PMS
- `x_id` (string, required) — The external ID from the integration vendor | Method | Interface | |---|---| | /ItfResidentTransactions/GetResidentLeaseCharges | Resident Transactions |
- `x_property_id` (string, required) — The external ID of the property from the integration vendor | Method | Interface | |---|---| | /ItfResidentTransactions/GetResidentLeaseCharges | Resident Transactions |
- `x_location_id` (any, required) — The external ID of the location (exclusive to Rent Manager integrations). This is always null for non-Rent Manager integrations.This field will always be null for YARDI\_REST
- `x_charge_code_id` (string, required, nullable) — The external ID of the charge code from the integration vendor | Method | Interface | |---|---| | /ItfResidentTransactions/GetResidentLeaseCharges | Resident Transactions |
- `x_financial_account_id` (string, required, nullable) — The external ID of the financial account from the integration vendor | Method | Interface | |---|---| | /ItfResidentTransactions/GetResidentLeaseCharges | Resident Transactions |
- `x_lease_id` (string, required, nullable) — The external ID of the lease from the integration vendor | Method | Interface | |---|---| | /ItfResidentTransactions/GetResidentLeaseCharges | Resident Transactions |
- `amount_in_cents` (double, required, nullable) — The total amount of the recurring resident charge | Method | Interface | |---|---| | /ItfResidentTransactions/GetResidentLeaseCharges | Resident Transactions |
- `amount_raw` (string, required, nullable) — The raw value for amount from the PMS | Method | Interface | |---|---| | /ItfResidentTransactions/GetResidentLeaseCharges | Resident Transactions |
- `is_active` (any, required) — Whether the recurring resident charge is activeThis field will always be null for YARDI\_REST
- `description` (string, required, nullable) — Description of the recurring resident charge | Method | Interface | |---|---| | /ItfResidentTransactions/GetResidentLeaseCharges | Resident Transactions |
- `reference_number` (any, required) — The reference number for the recurring resident chargeThis field will always be null for YARDI\_REST
- `start_date` (string, required, nullable) — The start date associated with the recurring resident charge | Method | Interface | |---|---| | /ItfResidentTransactions/GetResidentLeaseCharges | Resident Transactions |
- `end_date` (string, required, nullable) — The end date associated with the recurring resident charge | Method | Interface | |---|---| | /ItfResidentTransactions/GetResidentLeaseCharges | Resident Transactions |
- `frequency_raw` (any, required) — The raw value of the frequency of the recurring resident chargeThis field will always be null for YARDI\_REST
- `frequency_normalized` (any, required) — The frequency of the recurring resident chargeThis field will always be null for YARDI\_REST
- `charge_due_day` (any, required) — The due date associated with the recurring resident chargeThis field will always be null for YARDI\_REST
- `custom_data` (RecurringResidentChargeCustomData, required, nullable)
- `financial_account_id` (string, required, nullable) — The Propexo unique identifier for the financial account | Method | Interface | |---|---| | /ItfResidentTransactions/GetResidentLeaseCharges | Resident Transactions |
- `lease_id` (string, required, nullable) — The Propexo unique identifier for the lease | Method | Interface | |---|---| | /ItfResidentTransactions/GetResidentLeaseCharges | Resident Transactions |
- `charge_code_id` (string, required, nullable) — The Propexo unique identifier for the charge code | Method | Interface | |---|---| | /ItfResidentTransactions/GetResidentLeaseCharges | Resident Transactions |
- `integration_id` (string, required) — The Propexo unique identifier for the integration
- `integration_vendor` (enum, required) — The property management system of record
  - Allowed values: `YARDI_REST`, `APPFOLIO`, `BUILDIUM`, `ENTRATA`, `MRI`, `PROPERTYWARE`, `PROPERTYWARE_REST`, `REALPAGE`, `REALPAGE_RPX`, `RENTMANAGER`, `RENTVINE`, `RESMAN`, `YARDI`
- `property_id` (string, required) — The Propexo unique identifier for the property

### ErrorResponseError

- `code` (string, required)
- `message` (string, required)
- `details` (map from string to any, optional)

### ResponseMetaOrderByItems

### RecurringResidentChargeCustomData

## Examples

**Response**

```json
{
  "meta": {
    "orderBy": [
      {}
    ],
    "offset": 0,
    "limit": 100,
    "hasMore": true,
    "total": 1000
  },
  "results": {
    "id": "clwktsp9v000008l31iv218hn",
    "created_at": "2024-03-21T15:38:08.337Z",
    "updated_at": "2024-03-22T10:59:45.119Z",
    "last_seen": "2024-03-22T10:59:45.119Z",
    "x_id": "100001",
    "x_property_id": "kjhjhjwe",
    "x_location_id": null,
    "x_charge_code_id": "rent",
    "x_financial_account_id": "45000000",
    "x_lease_id": "t0000001",
    "amount_in_cents": 15000,
    "amount_raw": "150",
    "is_active": null,
    "description": "Monthly Rent [Lease Charge]",
    "reference_number": null,
    "start_date": "2025-07-15T00:00:00.000Z",
    "end_date": "2048-08-21T00:00:00.000Z",
    "frequency_raw": null,
    "frequency_normalized": null,
    "charge_due_day": null,
    "custom_data": {},
    "financial_account_id": "cmhavc6z669743697761kvjgrutkpgq9",
    "lease_id": "cm4xr2ab112938475629nwqklmvbpyzj",
    "charge_code_id": "cm7j8pg9833257334651idtqhw61p5zy",
    "integration_id": "clwh5u07w000508me66sfh3um",
    "integration_vendor": "YARDI_REST",
    "property_id": "clwi5xiix000008l6ctdgafyh"
  }
}
```

**SDK Code**

```python
import requests

url = "https://api.propexo.com/v1/recurring-resident-charges/recurring_resident_charge_id"

headers = {"Authorization": "Bearer <token>"}

response = requests.get(url, headers=headers)

print(response.json())
```

```javascript
const url = 'https://api.propexo.com/v1/recurring-resident-charges/recurring_resident_charge_id';
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go
package main

import (
	"fmt"
	"net/http"
	"io"
)

func main() {

	url := "https://api.propexo.com/v1/recurring-resident-charges/recurring_resident_charge_id"

	req, _ := http.NewRequest("GET", url, nil)

	req.Header.Add("Authorization", "Bearer <token>")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby
require 'uri'
require 'net/http'

url = URI("https://api.propexo.com/v1/recurring-resident-charges/recurring_resident_charge_id")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'

response = http.request(request)
puts response.read_body
```

```java
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.get("https://api.propexo.com/v1/recurring-resident-charges/recurring_resident_charge_id")
  .header("Authorization", "Bearer <token>")
  .asString();
```

```php
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('GET', 'https://api.propexo.com/v1/recurring-resident-charges/recurring_resident_charge_id', [
  'headers' => [
    'Authorization' => 'Bearer <token>',
  ],
]);

echo $response->getBody();
```

```csharp
using RestSharp;

var client = new RestClient("https://api.propexo.com/v1/recurring-resident-charges/recurring_resident_charge_id");
var request = new RestRequest(Method.GET);
request.AddHeader("Authorization", "Bearer <token>");
IRestResponse response = client.Execute(request);
```

```swift
import Foundation

let headers = ["Authorization": "Bearer <token>"]

let request = NSMutableURLRequest(url: NSURL(string: "https://api.propexo.com/v1/recurring-resident-charges/recurring_resident_charge_id")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "GET"
request.allHTTPHeaderFields = headers

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```